Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I've been having problems getting the php ssh2 extension to work under xampp on Snow Leopard in my local test environment. I understand xampp is 32 bit and so the extension must be compiled as 32 bit and have found a couple of tutorials detailing how to do this. However, compiling the ssh2 extension requires the libssh2 library to be present for the compiler to access and I'm unsure how to compile libssh2 in 32 bit and force the extension compiler to in turn find/use it - currently it just reports the libssh2 library required version cannot be found.

Any help would be much appreciated!

share|improve this question
add comment

1 Answer

up vote 0 down vote accepted

I did in the end get this working, only to find that the php ssh2 functions are absolutely useless. Instead I'm using PHP Secure Communications Library which is much much better and allows me to do everything that the php ssh2 functions claimed they could do and more!

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.